Ruby: ext/openssl/ossl_bn.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions | Variables
ossl_bn.h File Reference

Go to the source code of this file.

## Macros
#define | ossl_bn_ctx ossl_bn_ctx_get()
#define | GetBNPtr(obj) ossl_bn_value_ptr(&(obj))

## Functions
BN_CTX * | ossl_bn_ctx_get (void)
VALUE | ossl_bn_new (const BIGNUM *)
BIGNUM * | ossl_bn_value_ptr (volatile VALUE *)
void | Init_ossl_bn (void)

## Variables
VALUE | cBN
VALUE | eBNError

## Macro Definition Documentation

## ◆ GetBNPtr

#define GetBNPtr | ( |  | obj | ) | ossl_bn_value_ptr(&(obj))

Definition at line 19 of file ossl_bn.h.

## ◆ ossl_bn_ctx

#define ossl_bn_ctx ossl_bn_ctx_get()

Definition at line 17 of file ossl_bn.h.

## Function Documentation

## ◆ Init_ossl_bn()

void Init_ossl_bn | ( | void |  | ) |

Definition at line 1148 of file ossl_bn.c.

References cBN, eBNError, eOSSLError, mOSSL, ossl_bn_ctx_get(), rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_method, rb_define_module(), rb_define_singleton_method, rb_eStandardError, and rb_ractor_local_storage_ptr_newkey().

Referenced by Init_openssl().

## ◆ ossl_bn_ctx_get()

BN_CTX * ossl_bn_ctx_get | ( | void |  | ) |

Definition at line 192 of file ossl_bn.c.

References NULL, ossl_raise(), and rb_eRuntimeError.

Referenced by Init_ossl_bn().

## ◆ ossl_bn_new()

VALUE ossl_bn_new | ( | const BIGNUM * | bn | ) |

Definition at line 62 of file ossl_bn.c.

References cBN, eBNError, NewBN, NULL, ossl_raise(), and SetBN.

Referenced by asn1integer_to_num().

## ◆ ossl_bn_value_ptr()

BIGNUM * ossl_bn_value_ptr | ( | volatile VALUE * | ptr | ) |

Definition at line 140 of file ossl_bn.c.

References GetBN, NIL_P, ossl_raise(), ptr, and rb_eTypeError.

## Variable Documentation

## ◆ cBN

VALUE cBN
| extern

Definition at line 50 of file ossl_bn.c.

Referenced by Init_ossl_bn(), and ossl_bn_new().

## ◆ eBNError

VALUE eBNError
| extern

Definition at line 56 of file ossl_bn.c.

Referenced by BIGNUM_1c(), Init_ossl_bn(), and ossl_bn_new().